Bug 1278673 - Review Request: octave-jsonlab - JSON/UBJSON encoder and a decoder in the native matlab/octave language
Review Request: octave-jsonlab - JSON/UBJSON encoder and a decoder in the nat...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora-neuro
  Show dependency treegraph
 
Reported: 2015-11-06 01:40 EST by Igor Gnatenko
Modified: 2016-08-14 12:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-12 23:23:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zbyszek: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Igor Gnatenko 2015-11-06 01:40:46 EST
Spec URL: https://ignatenkobrain.fedorapeople.org/neurofedora/octave-jsonlab.spec
SRPM URL: https://ignatenkobrain.fedorapeople.org/neurofedora/octave-jsonlab-1.1.0-1.fc24.src.rpm
Description:
JSONlab is a free and open-source implementation of a JSON/UBJSON encoder and
a decoder in the native MATLAB language. It can be used to convert a MATLAB
data structure (array, struct, cell, struct array and cell array) into
JSON/UBJSON formatted string, or decode a JSON/UBJSON file into MATLAB data.
JSONlab supports both MATLAB and GNU Octave (a free MATLAB clone).
Fedora Account System Username: ignatenkobrain
Comment 1 Zbigniew Jędrzejewski-Szmek 2015-12-01 17:49:06 EST
You copy license to "COPYING" but nothing ever happens with that file?

- license is OK (BSD *or* GPLv3 is bizarre, but OK)
- license file is present, %license is used
- latest version
- provides/requires look sane:

Requires
--------
octave-jsonlab (rpmlib, GLIBC filtered):
    /bin/sh
    octave

Provides
--------
octave-jsonlab:
    octave-jsonlab

- scriptlets look sane
- builds and installs fine
- summary and description are OK
- package name is OK

Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
octave-jsonlab.noarch: E: version-control-internal-file /usr/share/doc/octave-jsonlab/examples/.svn/text-base/jsonlab_selftest.m.svn-base
octave-jsonlab.noarch: W: hidden-file-or-dir /usr/share/doc/octave-jsonlab/examples/.svn
octave-jsonlab.noarch: W: hidden-file-or-dir /usr/share/doc/octave-jsonlab/examples/.svn
octave-jsonlab.noarch: E: version-control-internal-file /usr/share/doc/octave-jsonlab/examples/.svn/tmp/props
octave-jsonlab.noarch: E: version-control-internal-file /usr/share/doc/octave-jsonlab/examples/.svn/text-base/example2.json.svn-base
octave-jsonlab.noarch: E: version-control-internal-file /usr/share/doc/octave-jsonlab/examples/.svn/text-base/demo_jsonlab_basic.m.svn-base
octave-jsonlab.noarch: E: version-control-internal-file /usr/share/doc/octave-jsonlab/examples/.svn/text-base
octave-jsonlab.noarch: E: version-control-internal-file /usr/share/doc/octave-jsonlab/examples/.svn/text-base/jsonlab_basictest.matlab.svn-base
octave-jsonlab.noarch: E: version-control-internal-file /usr/share/doc/octave-jsonlab/examples/.svn/text-base/example3.json.svn-base
octave-jsonlab.noarch: E: version-control-internal-file /usr/share/doc/octave-jsonlab/examples/.svn/text-base/demo_ubjson_basic.m.svn-base
octave-jsonlab.noarch: E: version-control-internal-file /usr/share/doc/octave-jsonlab/examples/.svn/tmp/prop-base
octave-jsonlab.noarch: E: version-control-internal-file /usr/share/doc/octave-jsonlab/examples/.svn/tmp/text-base
octave-jsonlab.noarch: E: version-control-internal-file /usr/share/doc/octave-jsonlab/examples/.svn/text-base/jsonlab_selftest.matlab.svn-base
octave-jsonlab.noarch: E: version-control-internal-file /usr/share/doc/octave-jsonlab/examples/.svn/text-base/jsonlab_speedtest.m.svn-base
octave-jsonlab.noarch: E: version-control-internal-file /usr/share/doc/octave-jsonlab/examples/.svn/props
octave-jsonlab.noarch: E: version-control-internal-file /usr/share/doc/octave-jsonlab/examples/.svn/text-base/example1.json.svn-base
octave-jsonlab.noarch: E: version-control-internal-file /usr/share/doc/octave-jsonlab/examples/.svn/tmp
octave-jsonlab.noarch: E: version-control-internal-file /usr/share/doc/octave-jsonlab/examples/.svn/text-base/example4.json.svn-base
octave-jsonlab.noarch: E: version-control-internal-file /usr/share/doc/octave-jsonlab/examples/.svn/prop-base
octave-jsonlab.noarch: E: version-control-internal-file /usr/share/doc/octave-jsonlab/examples/.svn/entries
Just nuke it!

octave-jsonlab.noarch: W: dangerous-command-in-%preun mv
1 packages and 0 specfiles checked; 18 errors, 3 warnings.

OK, comes from standard scriptlet.

Package is APPROVED. Please fix up the svn stuff when importing.
Comment 2 Gwyn Ciesla 2015-12-02 09:28:31 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/octave-jsonlab
Comment 3 Fedora Update System 2015-12-02 16:21:23 EST
octave-jsonlab-1.1.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-1bef950166
Comment 4 Igor Gnatenko 2015-12-02 16:24:44 EST
> You copy license to "COPYING" but nothing ever happens with that file?
it is used somehow in octave pkg builder (otherwise it wont compile)

> Just nuke it!
done.
Comment 5 Fedora Update System 2015-12-03 20:35:30 EST
octave-jsonlab-1.1.0-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update octave-jsonlab'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-1bef950166
Comment 6 Fedora Update System 2015-12-12 23:22:59 EST
octave-jsonlab-1.1.0-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.